Package org.apache.solr.client.solrj.response

# Class RangeFacet<B,G>

java.lang.Object
org.apache.solr.client.solrj.response.RangeFacet<B,G>

Direct Known Subclasses:
  `RangeFacet.Currency`, `RangeFacet.Date`, `RangeFacet.Numeric`

public abstract class RangeFacet<B,G> extends Object
Represents a range facet result

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RangeFacet.Count`
`static class`
`RangeFacet.Currency`
`static class`
`RangeFacet.Date`
`static class`
`RangeFacet.Numeric`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RangeFacet(String name, B start, B end, G gap, Number before, Number after, Number between)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCount(String value, int count)`
`Number`
`getAfter()`
`Number`
`getBefore()`
`Number`
`getBetween()`
`List<RangeFacet.Count>`
`getCounts()`
`B`
`getEnd()`
`G`
`getGap()`
`String`
`getName()`
`B`
`getStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RangeFacet

protected RangeFacet(String name, B start, B end, G gap, Number before, Number after, Number between)

## Method Details

### addCount

public void addCount(String value, int count)

### getName

public String getName()

### getCounts

public List<RangeFacet.Count> getCounts()

### getStart

public B getStart()

### getEnd

public B getEnd()

### getGap

public G getGap()

### getBefore

public Number getBefore()

### getAfter

public Number getAfter()

### getBetween

public Number getBetween()